Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

転送先カスタムコネクタ詳細取得

Prev Next
Get
/api/custom_connector_outputs/{custom_connector_id}

転送先カスタムコネクタ定義の詳細を取得します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Path parameters
custom_connector_id
integer (int64) Required

カスタムコネクタIDを指定します。

Responses
200

カスタムコネクタ定義の詳細を返します。

Expand All
object

転送先カスタムコネクタ定義(詳細)です。

id
integer (int64)
Example1
name
string
ExampleMy Output Connector
description
string | null
Exampledesc
url
string
Examplehttps://api.example.com
auth_type
string
Valid values[ "api_key", "oauth2" ]
Exampleapi_key
auth_header_name
string
ExampleAuthorization
auth_header_scheme
string | null
ExampleBearer
transfer_type
string
Valid values[ "input", "output" ]
Exampleoutput
grant_type
string | null
auth_uri
string | null
access_token_uri
string | null
endpoints
Array of object

転送先エンドポイント一覧です(id 昇順)。

object

転送先カスタムコネクタのエンドポイント定義です。

id
integer (int64)

エンドポイントIDです。更新時にこのIDを指定すると既存エンドポイントが温存されます。

Example1
name
string
Examplecreate_user
request_type
string

1レコードずつ送るか複数まとめて送るかです。

Valid values[ "single", "multiple" ]
Examplesingle
batch_size
integer

multiple 時の1リクエストあたり件数(1〜100)です。

Example1
method
string
Valid values[ "get", "post", "put", "patch" ]
Examplepost
operation
string

追加(create)か更新(update)かです。

Valid values[ "create", "update" ]
Examplecreate
path
string
Example/users
payload_type
string
Valid values[ "json" ]
Examplejson
success_codes
string
Example200,201,204
not_retryable_codes
string
Example400,401,403,404
request_timeout_sec
integer

リクエストタイムアウト秒(1〜60)です。

Example30
template
string

リクエストボディを生成する Liquid テンプレートです。

headers
Array of object

ヘッダー一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
path_parameters
Array of object

パスパラメータ一覧です(作成順)。

object

エンドポイントのパスパラメータです。

name
string

パスパラメータ名です。

Exampleuser_id
value
string

値です。エンドポイントの path 内に含まれている必要があります。

Exampleuser_id
query_parameters
Array of object

クエリパラメータ一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
created_at
string
Example2023-08-22T18:00:00+00:00
updated_at
string
Example2023-08-22T18:00:00+00:00
401

Not authenticated.
認証エラーです。API KEYをご確認ください。

404

Not found.
指定したカスタムコネクタが存在しないか、転送先ではありません。